Subject: Re: [External] : bug#72229: (setq overriding-terminal-local-map nil) in isearch-done

From: Michael Heerdegen <[email-masked]>
Date: Wed, 24 Jul 2024 22:12:10 +0200

Drew Adams <[email-masked]> writes:

> I'm not knowledgeable in this area, and I'm not
> sure what you're discussing (I think it's the
> possibility of substituting a function for a var),
> but would defining a symbol macro help?
>
> We at least have `cl-symbol-macrolet', even if we
> don't (yet) have `define-symbol-macro'.
>
> https://lisp-docs.github.io/cl-language-reference/chap-3/d-i-dictionary/define-symbol-macro_macro

We would need global symbol macros.  But even these would not be able to
affect variable references from C I think.

Symbol macros are also a bit fragile in Elisp, and some completely
dislike them (Richard for example).

So, yes, this is suggesting itself but would make the problem to solve
even harder, unfortunately.

Michael.